$(document).ready(function() {
  // check for iframe
  if(window.top.location == window.location){
    $("div#header").css("display", "block");
    $("div#nav #buttons").css("display", "none");
  }

  // Search input text handling on focus
  var $searchq = $("#search-q").attr("value");
  $('#search-q.text').css('color', '#999');
  $('#search-q').focus(function(){
    if ( $(this).attr('value') == $searchq) {
      $(this).css('color', '#555');
      $(this).attr('value', '');
    }
  });
  $('#search-q').blur(function(){
    if ( $(this).attr('value') == '' ) {
      $(this).attr('value', $searchq);
      $(this).css('color', '#999');
    }
  });
  // Switch categories
  $('#h-wrap').hover(function(){
    $(this).toggleClass('active');
    $("#h-wrap ul").css('display', 'block');
  }, function(){
    $(this).toggleClass('active');
    $("#h-wrap ul").css('display', 'none');
  });
  /*/
  // Handling with tables (adding first and last classes for borders and adding alternate bgs)
  $('tbody tr:even').addClass('even');
  $('table.grid tbody tr:last-child').addClass('last');
  $('tr th:first-child, tr td:first-child').addClass('first');
  $('tr th:last-child, tr td:last-child').addClass('last');
  $('form.fields fieldset:last-child').addClass('last');
  // Handling with lists (alternate bgs)
  $('ul.simple li:even').addClass('even');
  // Handling with grid views (adding first and last classes for borders and adding alternate bgs)
  $('.grid .line:even').addClass('even');
  $('.grid .line:first-child').addClass('firstline');
  $('.grid .line:last-child').addClass('lastline');
  // Tabs switching
  $('#box1 .content#box1-grid').hide(); // hide content related to inactive tab by default
  $('#box1 .header ul a').click(function(){
    $('#box1 .header ul a').removeClass('active');
    $(this).addClass('active'); // make clicked tab active
    $('#box1 .content').hide(); // hide all content
    $('#box1').find('#' + $(this).attr('rel')).show(); // and show content related to clicked tab
    return false;
  });
  /**/
  $(".image").colorbox();
$(".lightbox").click(function (e){
  e.preventDefault();
  $url = $(this).attr('href');
  $larg = '80%';
  if ($(this).data('width')) {
    $larg = $(this).data('width');    
  };
  $.colorbox({href:$url,width:$larg,height:'90%',iframe:true});
});


  $('#dashboard').height($('#dashboard').height()); // bugfix jumpy slideDown
  $('.sublink').click(function(){
    var $this = $(this);
    var exibe = ($this.attr('data-target'));
    $('#dashboard').slideUp(300,
    function(){
      $('#'+exibe).slideDown();
    });
  });
  $('.btBack').click(function(){
    var $this = $(this);
    $this.parent('.subitem').slideUp(300,
    function(){
      $('#dashboard').slideDown(500);
    });
  });

  $(".btn-plus").live("click", function(event){
    event.preventDefault();
    var $this = $(this); // elemento atual
    var $select = $this.prev('select'); // o select que esta antes
    var $div = $('#'+$this.attr('data-tipo')).find('div.dvCategories');

    $('#'+$this.attr('data-tipo')).block();

    // posta no php para retornar o item
    $.post('projects/get',{type: $this.attr('data-tipo'), id: $select.val()},function(data){
      // adiciona o retorno no form
       $div.append(
        '<div>'+
          '<input class="leSelect" type="text" readonly="readonly" value="'+ data.title +'">'+
          '<input type="hidden" value="'+ data.id +'" name="'+ $this.attr('data-tipo') +'[]">'+
          '<a href="#" class="btn-remover btn btn-danger leBtn"><i class="icon-white icon-minus"></i></a>'+
        '</div>'+
        '<div class="clearfix"></div>'
      );
      return $('#'+$this.attr('data-tipo')).unblock();
    }, 'json');
  });

  $(".btn-remover").live("click", function(event){
    event.preventDefault();
    var $this = $(this);

    var $div = $this.parent('div');
    var $clear = $div.next('.clearfix');
    $clear.remove();
    $div.remove();

  });

  $('.btn-novo').click(function(event){
    event.preventDefault();
    var title = prompt("Insert new tag:", "");
    //console.log();
    if(typeof (title) == 'string' && title != '')
    {
      $('#tags').block();
      /**/$.post($.baseURL("tags/add/"), {page: {'id': '', 'title': title}, externo: 1}, function(rs){
        if(rs.error){
          alert('Error: '+rs.message);
        }
        else {
          //$('#foo-tags').load(document.URL+' #foo-tags');
          $('#foo-tags').append('<option value="'+ rs.id +'">'+ title +'</option>');
          $('#tags').unblock();
        }

      }, 'json');
      /**/
    }

  });

  // $(".datepicker").datepicker();
  $(".datepicker").datepicker({dateFormat: "dd/mm/yyyy", autoclose: true});

  // $(".cpf").mask("999.999.999-99");
  // $(".cnpj").mask("99.999.999/9999-99");
  // $(".cep").mask("99.999-999");


  $(".date").mask("99/99/9999");


  $("input.data").mask("99/99/9999");
$("input.cpf").mask("999.999.999-99");
$("input.cep").mask("99999-999");
var SPMaskBehavior = function (val) {
  return val.replace(/\D/g, '').length === 11 ? '(00) 00000-0000' : '(00) 0000-00009';
},
spOptions = {
  onKeyPress: function(val, e, field, options) {
      field.mask(SPMaskBehavior.apply({}, arguments), options);
    }
};

$('input.telefone').mask(SPMaskBehavior, spOptions);


$("input.ano").mask("9999");
$("input.nota").mask("9999");
$("input.cnpj").mask("99.999.999/9999-99");
$('input.numeros').keypress(function(e){
  // if (document.all) // Internet Explorer    
  //           var tecla = event.keyCode;    
  //   else if(document.layers) // Nestcape    
            var tecla = e.which;    
    console.log(tecla);
    if ((tecla > 47 && tecla < 58 ) || tecla==44 || tecla==46) // numeros de 0 a 9    
        return true;    
    else {    
        if (tecla != 8) // backspace    
            //event.keyCode = 0;    
            return false;    
        else    
            return true;    
    } 
}); 

});

function addTag(){
  if ($('#nometag').val()!='') {
    $.post($.baseURL("tags/adiciona/"),{'nome':$('#nometag').val()},function(data){
      if (data!='0') {
        $('#tags').prepend(data);        
        $(".chosen-select").trigger("chosen:updated"); 
        $('#tagModal').modal('hide');
        $('#nometag').val('');
      }else{
       alert('Erro ao adicionar tag');    
      }
    });
  }else{
    alert('Preencha a tag');
  }
}

function addAutor(){
  if ($('#nomeAutor').val()!='') {
    $.post($.baseURL("autores/adiciona/"),{'nome':$('#nomeAutor').val()},function(data){
      if (data!='0') {
        $('#autores').prepend(data);        
        
        $('#autorModal').modal('hide');
        $('#nomeAutor').val('');
      }else{
       alert('Erro ao adicionar Autor');    
      }
    });
  }else{
    alert('Preencha o nome do autor');
  }
}

function onlineItem(id, n)
{
  var atual = $('#item'+id).html();
  $('#item'+id).html('<img src="assets/images/upload.gif" />');
  $.post($.baseURL(modulo+"/online/"), {"id":id, "online":n}, function(rs){
    // check for errors
    if(rs.error){
      $('#item'+id).html('Error: '+rs.message);
    } else {
      // validates the return
      $('#item'+id).html(atual);
      $('#online_'+id).attr("src", "assets/images/" + ((n == 0)? "tick.png": "tick_off.png")).attr('onclick','').click(
        function(){
          onlineItem(id, ((n == 0)? "1": "0"));
        }
      );
    }
  }, "json");
}